%define php_libname          tcpdf
%define realver 6_0_011

Name:      php-tcpdf
Version:   6.0.011
Release:   1%{?dist}
License:   MIT
Summary:   PHP class to generate PDF Files 
Group:     Development/Libraries
URL:       http://www.tcpdf.org
Source:    http://sourceforge.net/projects/tcpdf/files/%{php_libname}_%{realver}.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  php-gd
BuildArch: noarch

%description
TCPDF is a PHP class for generating PDF files on-the-fly without requiring external extensions.
This library includes also a class to extract data from existing PDF documents and
classes to generate 1D and 2D barcodes in various formats.

%package doc
Summary: Documentation for php-tcpdf
Group:   Development/Libraries
%description doc
Documentation for php-tcpdf 


%prep
%setup -qn %{php_libname}
find -type f | xargs chmod -x 
%build
%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/php/%{php_libname}
cp -a cache config fonts images include *.php  %{buildroot}%{_datadir}/php/%{php_libname}
rm -f %{buildroot}%{_datadir}/php/%{php_libname}/cache/*.txt

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_datadir}/php/%{php_libname}
%doc LICENSE.TXT

%files doc
%defattr(-,root,root,-)
%doc examples doc README.TXT CHANGELOG.TXT cache/*.txt


%changelog
* Wed Apr 24 2013 momo-i <webmaster@momo-i.org> 6.0.011-1
- Update 6.0.011

* Mon Apr  1 2013 momo-i <webmaster@momo-i.org> 6.0.007-1
- Initial rpm release.
